=== debian/changelog ===
psycopg3 (3.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #995447).

 -- Tomasz Rybak <serpent@debian.org>  Tue, 19 Apr 2022 20:24:23 +0200
