=== debian/control ===
--- 
+++ 
@@ -3,12 +3,16 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  dh-python,
  libpq-dev,
  postgresql,
  cmake,
  python3-all:any,
  python3-setuptools,
+ pybuild-plugin-pyproject,
+ python3-typing-extensions,
  python3-pytest <!nocheck>,
  python3-dnspython <!nocheck>,
  python3-shapely <!nocheck>,
@@ -16,16 +20,18 @@
 Build-Depends-Indep:
  python3-doc <!nodoc>,
  python-psycopg2-doc <!nodoc>,
- python3-sphinx (>= 1.0.7+dfsg-1~) <!nodoc>,
- python3-sphinx-autodoc-typehints <!nodoc>
+ python3-sphinx <!nodoc>,
+ python3-sphinx-autodoc-typehints <!nodoc>,
+ furo <!nodoc>,
 Maintainer: Tomasz Rybak <serpent@debian.org>
-Standards-Version: 4.6.0
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg3
 Homepage: https://www.psycopg.org/psycopg3/
 
-Package: python3-psycopg3
+Package: python3-psycopg
 Architecture: all
 Depends:
  ${misc:Depends},
@@ -33,7 +39,10 @@
  ${shlibs:Depends},
  libpq5
 Suggests:
- python3-psycopg3-pool
+ python3-psycopg-pool,
+ python-psycopg-doc
+Conflicts: python3-psycopg3
+Replaces: python3-psycopg3
 Description: PostgreSQL database adapter for Python 3
  Psycopg 3 is a newly designed PostgreSQL database adapter for the Python
  programming language.
@@ -61,13 +70,15 @@
   - a great integration of the COPY support
   - direct access to the libpq functionalities
 
-Package: python3-psycopg3-pool
+Package: python3-psycopg-pool
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- python3-psycopg3 (= ${binary:Version})
+ python3-psycopg (= ${binary:Version})
+Conflicts: python3-psycopg3-pool
+Replaces: python3-psycopg3-pool
 Description: PostgreSQL database adapter for Python 3: connection pool
  Psycopg 3 is a newly designed PostgreSQL database adapter for the Python
  programming language.
@@ -97,7 +108,7 @@
  .
  This package contains two connection pool implementations
 
-Package: python-psycopg3-doc
+Package: python-psycopg-doc
 Section: doc
 Architecture: all
 Multi-Arch: foreign
@@ -108,7 +119,9 @@
 Recommends:
  python3-doc,
  python-psycopg2-doc
-Suggests: python3-psycopg3
+Suggests: python3-psycopg
+Conflicts: python-psycopg3-doc
+Replaces: python-psycopg3-doc
 Description: PostgreSQL database adapter for Python 3 (documentation package)
  Psycopg 3 is a newly designed PostgreSQL database adapter for the Python
  programming language.
