=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 # Rename package to avoid potential conflict with psycopg2
-export PYBUILD_NAME = psycopg3
+export PYBUILD_NAME = psycopg
 # And don't even try to built for Python 2: Python 3.6 is required
 export PYBUILD_DISABLE_python2 = 1
 
@@ -35,32 +35,32 @@
 SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # We need to build 3 different modules, from 3 different directories
 override_dh_auto_clean:
-	PYBUILD_DIR=psycopg dh_auto_clean -- --name psycopg3
-	PYBUILD_DIR=psycopg_pool dh_auto_clean -- --name psycopg3_pool
+	PYBUILD_DIR=psycopg dh_auto_clean -- --name psycopg
+	PYBUILD_DIR=psycopg_pool dh_auto_clean -- --name psycopg_pool
 # Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_clean -- --name psycopg3_c
+#	PYBUILD_DIR=psycopg_c dh_auto_clean -- --name psycopg_c
 
 override_dh_auto_configure:
-	PYBUILD_DIR=psycopg dh_auto_configure -- --name psycopg3
-	PYBUILD_DIR=psycopg_pool dh_auto_configure -- --name psycopg3_pool
+	PYBUILD_DIR=psycopg dh_auto_configure -- --name psycopg
+	PYBUILD_DIR=psycopg_pool dh_auto_configure -- --name psycopg_pool
 # Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_configure -- --name psycopg3_c
+#	PYBUILD_DIR=psycopg_c dh_auto_configure -- --name psycopg_c
 
 override_dh_auto_build:
-	PYBUILD_DIR=psycopg dh_auto_build -- --name psycopg3
-	PYBUILD_DIR=psycopg_pool dh_auto_build -- --name psycopg3_pool
+	PYBUILD_DIR=psycopg dh_auto_build -- --name psycopg
+	PYBUILD_DIR=psycopg_pool dh_auto_build -- --name psycopg_pool
 # Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_build -- --name psycopg3_c
+#	PYBUILD_DIR=psycopg_c dh_auto_build -- --name psycopg_c
 
 override_dh_auto_install:
-	PYBUILD_DIR=psycopg dh_auto_install -- --name psycopg3
-	PYBUILD_DIR=psycopg_pool dh_auto_install -- --name psycopg3_pool
+	PYBUILD_DIR=psycopg dh_auto_install -- --name psycopg
+	PYBUILD_DIR=psycopg_pool dh_auto_install -- --name psycopg_pool
 # Not buildable yet - requires Cython newer than currently in Debian
-#	PYBUILD_DIR=psycopg_c dh_auto_install -- --name psycopg3_c
+#	PYBUILD_DIR=psycopg_c dh_auto_install -- --name psycopg_c
 
 override_dh_installdocs:
 # Don't build documentation when required not to do it
