## psycopg3 3.1.8

=== debian/changelog ===
psycopg3 (3.1.8-0ubuntu1) mantic; urgency=medium

  * New upstream release 3.1.8 (LP: #2022089)
    - This release update makes psycopg3 compatible with Django 4.2, see:
      https://docs.djangoproject.com/en/4.2/releases/4.2/#psycopg-3-support
    - Updates:
      + Don't pollute server logs when types looked for by TypeInfo.fetch()
        are not found.
      + Set Cursor.rowcount to the number of rows of each result set from
        Cursor.executemany() when called with !returning=True.
      + Fix TypeInfo.fetch() when used with ClientCursor

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 30 Aug 2023 07:23:06 -0700
