=== debian/control ===
--- 
+++ 
@@ -23,7 +23,8 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-autodoc-typehints <!nodoc>,
  furo <!nodoc>,
-Maintainer: Tomasz Rybak <serpent@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Rybak <serpent@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
