## psycopg3 3.1.17

=== debian/changelog ===
psycopg3 (3.1.17-2) unstable; urgency=medium

  * Revert usage of different versions for psycopg and psycopg-pool.

 -- Tomasz Rybak <serpent@debian.org>  Thu, 18 Jan 2024 18:39:31 +0100

psycopg3 (3.1.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.1.17.
    + Fixes usage of pg_service.conf. (Upstream #694)

 -- Christoph Berg <myon@debian.org>  Tue, 16 Jan 2024 16:51:11 +0100

psycopg3 (3.1.13-1) unstable; urgency=medium

  * New upstream version 3.1.13
  * Use different version for psycopg-pool.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 28 Nov 2023 23:26:15 +0100

psycopg3 (3.1.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.12

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Oct 2023 19:55:01 +0200
