=== debian/control ===
--- 
+++ 
@@ -23,8 +23,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-autodoc-typehints <!nodoc>,
  furo <!nodoc>,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Rybak <serpent@debian.org>
+Maintainer: Tomasz Rybak <serpent@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -77,7 +76,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- python3-psycopg (= ${binary:Version})
+ python3-psycopg
 Conflicts: python3-psycopg3-pool
 Replaces: python3-psycopg3-pool
 Description: PostgreSQL database adapter for Python 3: connection pool
