## psycopg3 3.2.1

=== debian/changelog ===
psycopg3 (3.2.1-3) unstable; urgency=medium

  * Team upload.
  * Fix architecture-dependent-only builds (closes: #1077918).
  * Only build psycopg_c in architecture-dependent builds.

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Aug 2024 00:54:23 +0100

psycopg3 (3.2.1-2) unstable; urgency=medium

  * Build binary python3-psycopg-c module using Cython3.
    * Fix build dependencies
  * Allow usage of psycopg by PyPy even when binary module is installed.
  * Remove unnecessary lintian override: it's screened by lintian itself.
  * Split tests for binary and Python modules to arch and indep targets.

 -- Tomasz Rybak <serpent@debian.org>  Thu, 01 Aug 2024 22:05:39 +0200

psycopg3 (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
    * Refresh patches.
    * Add build-time dependency on numpy documentation.
  * Update standards version to 4.7.0, no changes needed.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 01 Jul 2024 19:42:15 +0200

psycopg3 (3.1.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 May 2024 22:06:08 +0100

psycopg3 (3.1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Mar 2024 00:23:57 +0000
