## psycopg3 3.2.3

=== debian/changelog ===
psycopg3 (3.2.3-2) unstable; urgency=medium

  * Team upload.
  * Don't run tests marked as flakey.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Oct 2024 12:34:22 +0000

psycopg3 (3.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Oct 2024 16:40:16 +0100

psycopg3 (3.2.2-1) unstable; urgency=medium

  [ Tomasz Rybak ]
  * New upstream version 3.2.2
    * Refresh patches.
  * Enable build-time tests.

  [ Colin Watson ]
  * Run tests via pybuild.
  * Add autopkgtests using pybuild-autopkgtest.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 30 Sep 2024 21:22:55 +0200
