=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-setuptools,
  pybuild-plugin-pyproject,
  python3-typing-extensions,
+ python3-anyio <!nocheck>,
  python3-pytest <!nocheck>,
  python3-dnspython <!nocheck>,
  python3-shapely <!nocheck>,
