=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,8 @@
 export PYBUILD_NAME = psycopg
 # And don't even try to built for Python 2: Python 3.6 is required
 export PYBUILD_DISABLE_python2 = 1
+export PYBUILD_TEST_CUSTOM = 1
+export PYBUILD_TEST_ARGS = $(CURDIR)/debian/run-tests {interpreter} {dir} {home_dir}
 
 # Reproducible builds - build date is taken from debian/changelog
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
@@ -76,22 +78,11 @@
 
 # Don't run tests when required not to do it
 override_dh_auto_test-arch:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq ($(DEB_HOST_ARCH),hurd-i386)
-#	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
-	PSYCOPG_TEST_DSN="host=localhost dbname=postgres" \
-	PSYCOPG_IMPL=c \
-	pg_virtualenv pytest-3 -m "not slow"
-endif
+	PSYCOPG_IMPL=c dh_auto_test -- --name psycopg_c
 endif
 
 override_dh_auto_test-indep:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq ($(DEB_HOST_ARCH),hurd-i386)
-#	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
-	PSYCOPG_TEST_DSN="host=localhost dbname=postgres" \
-	PSYCOPG_IMPL=python \
-	pg_virtualenv pytest-3 -m "not slow"
+	PSYCOPG_IMPL=python dh_auto_test -- --name psycopg
 endif
-endif
-
