## psycopg3 3.2.4

=== debian/changelog ===
psycopg3 (3.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2025 15:02:11 +0000

psycopg3 (3.2.3-5) unstable; urgency=medium

  * Team upload.

  [ Colin Watson ]
  * Explicitly build-depend on python3-numpy.
  * Fix missing comma in Sphinx configuration (closes: #1090263).

  [ Alexandre Detiste ]
  * Remove reference to Python 2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Dec 2024 01:04:21 +0000

psycopg3 (3.2.3-4) unstable; urgency=medium

  * Team upload.
  * test(numpy): fix integer type handling harder (closes: #1086590).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 08:18:21 +0000

psycopg3 (3.2.3-3) unstable; urgency=medium

  * Team upload.
  * test(numpy): account for 32 bits systems in size checks (closes:
    #1086590).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Nov 2024 18:03:45 +0000
