## psycopg3 3.2.5

=== debian/changelog ===
psycopg3 (3.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Mar 2025 17:50:18 +0000
