## psycopg3 3.2.6

=== debian/changelog ===
psycopg3 (3.2.6-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:22:27 +0000

psycopg3 (3.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Mar 2025 10:35:29 +0000
