## psycopg3 3.2.10

=== debian/changelog ===
psycopg3 (3.2.10-2) unstable; urgency=medium

  * Team upload.
  * Skip tests/test_module.py::test_version in architecture-dependent-only
    builds.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 16:25:29 +0100

psycopg3 (3.2.10-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Upgrade to v5.
  * New upstream release:
    - Fix building with PostgreSQL v18 libpq (closes: #1117367).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 00:55:47 +0100
