=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
- dh-python,
  libpq-dev,
  postgresql,
  cmake,
@@ -16,6 +15,7 @@
  python3-anyio <!nocheck>,
  python3-pytest <!nocheck>,
  python3-dnspython <!nocheck>,
+ python3-numpy <!nocheck>,
  python3-shapely <!nocheck>,
  python3-tenacity <!nocheck>
 Build-Depends-Indep:
