=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,6 @@
 
 # Rename package to avoid potential conflict with psycopg2
 export PYBUILD_NAME = psycopg
-# And don't even try to built for Python 2: Python 3.6 is required
-export PYBUILD_DISABLE_python2 = 1
 export PYBUILD_TEST_CUSTOM = 1
 export PYBUILD_TEST_ARGS = $(CURDIR)/debian/run-tests {interpreter} {dir} {home_dir}
