=== debian/watch ===
Version: 5

Source: https://github.com/psycopg/psycopg.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
Compression: xz
Git-Mode: full
Pgp-Mode: gittag
Uversion-Mangle: s/.dev/~/; s/.alpha/~alpha/; s/.beta/~beta/; s/.rc/~rc/; s/([0-9])([ab][0-9]*)/$1~$2/g
