## psycopg3 3.3.0

=== debian/changelog ===
psycopg3 (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
    * Refresh patches.
    * Disable tests failing when run under autopkgtest.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 01 Dec 2025 21:18:46 +0100
