## psycopg3 3.3.1

=== debian/changelog ===
psycopg3 (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1

 -- Tomasz Rybak <serpent@debian.org>  Wed, 03 Dec 2025 22:29:16 +0100
