## psycopg3 3.3.2

=== debian/changelog ===
psycopg3 (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
    - Enable tests which do not fail anymore.
    - Update Standards-Version to 4.7.2; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 10 Dec 2025 20:48:17 +0100
