=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  cython3,
 Maintainer: Tomasz Rybak <serpent@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg3
